Ubuntu 16.04 LTS 16.10 17.04 – alapértelmezett PHP verzió változtatása

Ubuntu 16.04 LTS 16.10 17.04 - alapértelmezett PHP verzió változtatása
Ubuntu 16.04 LTS 16.10 17.04 - alapértelmezett PHP verzió változtatása

 

Az Ubuntu 16.04/16.10/17.04 rendszerek jelenleg alapértelmezett PHP csomagnak a 7.0 verziót telepítik. De ha esetleg szükségünk lenne egy 5.6, vagy 7.1-es verzióra azt az alábbi módon tehetjük meg. A tárolóinkhoz kell hozzáadnunk a ondrej/php-t és rendszer frissítés után telepíthetjük is a számunkra megfelelő 5.6, 7.0, 7.1-es PHP verziót.

sudo add-apt-repository ppa:ondrej/php
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install php7.1
sudo apt-get install php7.0
sudo apt-get install php5.6

Az alábbi parancsokkal tilthatjuk a nem használt PHP verziókat [a2dismod] kapcsolóval és engedélyezhetjük az [a2enmod] kapcsolóval számunkra alapértelmezetten használni kívánt verziót. Majd indítsuk újra az Apache kiszolgálót.

sudo a2dismod php7.1
sudo a2dismod php7.0
sudo a2enmod php5.6
sudo service apache2 restart



 

HOZZÁSZÓLOK A CIKKHEZ

Please enter your comment!
Please enter your name here

Ez a weboldal az Akismet szolgáltatását használja a spam kiszűrésére. Tudjunk meg többet arról, hogyan dolgozzák fel a hozzászólásunk adatait..